davix_file_types.hpp File Reference

davix file related type declarations More...

`#include <memory>`
`#include <utils/davix_types.hpp>`
`#include <utils/davix_uri.hpp>`

## Data Structures

struct | Davix::DavIOVecInput
| input parameters for vector operations in Davix More...
struct | Davix::DavIOVecOuput
| result of vector operations in Davix More...
struct | Davix::QuotaInfo
| QuotaInfo structhandler to retrieve quota information. More...
struct | Davix::StatInfo
| StatInfo structcontainer for base file meta-data, plateform agnostic stat struct. More...

## Typedefs

typedef struct Davix_dir_handle | DAVIX_DIR
typedef struct Davix_fd | DAVIX_FD

## Variables

| AdviseAuto =0x00
| AdviseSequential
| AdviseRandom

## Detailed Description

davix file related type declarations

Author
  Devresse Adrien